package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/FirstLoanQueryHandleAction.class */
public class FirstLoanQueryHandleAction extends LifeAction {
    private String inICollName;
    private String returnIcollName;
    private String reportType;

    public String execute(Context context) throws GENEException {
        String duiRiskDu;
        String alUseDu;
        String lastYearRestDu;
        String computeData;
        String creAmt;
        String computeData2;
        IndexedCollection inIcoll = context.getDataElement(this.inICollName);
        IndexedCollection returnIcoll = context.getDataElement(this.returnIcollName);
        KeyedCollection retTotKcoll = new KeyedCollection();
        if (this.reportType.equals("1")) {
            if (inIcoll != null) {
                String corTotalNum = "0";
                String creTotalAmt = "0";
                String loanTotalAmt = "0";
                for (int i = 0; i < inIcoll.size(); i++) {
                    KeyedCollection keyColl = (KeyedCollection) inIcoll.get(i);
                    KeyedCollection retKcoll = new KeyedCollection();
                    String corNum = (String) keyColl.getDataValue("corNum");
                    String creAmt2 = (String) keyColl.getDataValue("creAmtsum");
                    String loanAmt = (String) keyColl.getDataValue("loaAmt");
                    String bankName = (String) keyColl.getDataValue("bankName");
                    corTotalNum = addData(corTotalNum, corNum);
                    if (StringUtils.isBlank(creAmt2)) {
                        creAmt = "0.00";
                    } else {
                        creAmt = getComputeData(creAmt2, 2);
                    }
                    creTotalAmt = addData(creTotalAmt, creAmt);
                    if (StringUtils.isBlank(loanAmt)) {
                        computeData2 = "0.00";
                    } else {
                        computeData2 = getComputeData(loanAmt, 2);
                    }
                    String loanAmt2 = computeData2;
                    loanTotalAmt = addData(loanTotalAmt, loanAmt2);
                    retKcoll.put("rowNum", Integer.valueOf(i + 1));
                    retKcoll.put("corNum", corNum);
                    retKcoll.put("bankName", bankName);
                    retKcoll.put("creAmtsum", creAmt);
                    retKcoll.put("loaAmt", loanAmt2);
                    returnIcoll.addDataElement(retKcoll);
                }
                retTotKcoll.put("rowNum", "合计");
                retTotKcoll.put("corNum", corTotalNum);
                retTotKcoll.put("bankName", "");
                retTotKcoll.put("creAmtsum", creTotalAmt);
                retTotKcoll.put("loaAmt", loanTotalAmt);
                returnIcoll.addDataElement(retTotKcoll);
                return "0";
            }
            return "0";
        }
        if (this.reportType.equals("risk") && inIcoll != null) {
            String corTotalNum2 = "0";
            String creTotalAmt2 = "0";
            String loanTotalAmt2 = "0";
            String duiTotalRiskDu = "0";
            String alUseDuTotal = "0";
            String lastYearDuTotal = "0";
            String restDuTotal = "0";
            for (int i2 = 0; i2 < inIcoll.size(); i2++) {
                KeyedCollection keyColl2 = (KeyedCollection) inIcoll.get(i2);
                KeyedCollection retKcoll2 = new KeyedCollection();
                String corNum2 = (String) keyColl2.getDataValue("corNum");
                String creAmt3 = (String) keyColl2.getDataValue("creAmtsum");
                String loanAmt3 = (String) keyColl2.getDataValue("loaAmt");
                String bankName2 = (String) keyColl2.getDataValue("bankName");
                String duiRiskDu2 = (String) keyColl2.getDataValue("duiRiskDu");
                String alUseDu2 = (String) keyColl2.getDataValue("alUseDu");
                String lastYearRestDu2 = (String) keyColl2.getDataValue("lastYearRestDu");
                String restDu = (String) keyColl2.getDataValue("restDu");
                corTotalNum2 = addData(corTotalNum2, corNum2);
                String creAmt4 = getComputeData(creAmt3, 2);
                creTotalAmt2 = addData(creTotalAmt2, creAmt4);
                String loanAmt4 = getComputeData(loanAmt3, 2);
                loanTotalAmt2 = addData(loanTotalAmt2, loanAmt4);
                if (StringUtils.isBlank(duiRiskDu2)) {
                    duiRiskDu = "0.00";
                } else {
                    duiRiskDu = getComputeData(duiRiskDu2, 2);
                }
                duiTotalRiskDu = addData(duiTotalRiskDu, duiRiskDu);
                if (StringUtils.isBlank(alUseDu2)) {
                    alUseDu = "0.00";
                } else {
                    alUseDu = getComputeData(alUseDu2, 2);
                }
                alUseDuTotal = addData(alUseDuTotal, alUseDu);
                if (StringUtils.isBlank(lastYearRestDu2)) {
                    lastYearRestDu = "0.00";
                } else {
                    lastYearRestDu = getComputeData(lastYearRestDu2, 2);
                }
                lastYearDuTotal = addData(lastYearDuTotal, lastYearRestDu);
                if (StringUtils.isBlank(restDu)) {
                    computeData = "0.00";
                } else {
                    computeData = getComputeData(restDu, 2);
                }
                String restDu2 = computeData;
                restDuTotal = addData(restDuTotal, restDu2);
                retKcoll2.put("rowNum", Integer.valueOf(i2 + 1));
                retKcoll2.put("corNum", corNum2);
                retKcoll2.put("bankName", bankName2);
                retKcoll2.put("creAmtsum", creAmt4);
                retKcoll2.put("loaAmt", loanAmt4);
                retKcoll2.put("duiRiskDu", duiRiskDu);
                retKcoll2.put("lastYearRestDu", lastYearRestDu);
                retKcoll2.put("alUseDu", alUseDu);
                retKcoll2.put("restDu", restDu2);
                returnIcoll.addDataElement(retKcoll2);
            }
            retTotKcoll.put("rowNum", "合计");
            retTotKcoll.put("corNum", corTotalNum2);
            retTotKcoll.put("bankName", "");
            retTotKcoll.put("creAmtsum", creTotalAmt2);
            retTotKcoll.put("loaAmt", loanTotalAmt2);
            retTotKcoll.put("duiRiskDu", duiTotalRiskDu);
            retTotKcoll.put("lastYearRestDu", lastYearDuTotal);
            retTotKcoll.put("alUseDu", alUseDuTotal);
            retTotKcoll.put("restDu", restDuTotal);
            returnIcoll.addDataElement(retTotKcoll);
            return "0";
        }
        return "0";
    }

    public String getInICollName() {
        return this.inICollName;
    }

    public void setInICollName(String inICollName) {
        this.inICollName = inICollName;
    }

    public String getReportType() {
        return this.reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getReturnIcollName() {
        return this.returnIcollName;
    }

    public void setReturnIcollName(String returnIcollName) {
        this.returnIcollName = returnIcollName;
    }

    public String getComputeData(String data, int len) {
        BigDecimal dataB = new BigDecimal(data);
        BigDecimal cell = new BigDecimal("10000");
        return new StringBuilder().append(dataB.divide(cell, len, 4)).toString();
    }

    public String addData(String data1, String data2) {
        BigDecimal data1B = new BigDecimal(data1);
        BigDecimal data2B = new BigDecimal(data2);
        return new StringBuilder().append(data1B.add(data2B)).toString();
    }
}
